Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'build_files/buildbot-lts/docker/docker-entrypoint.sh')
-rwxr-xr-xbuild_files/buildbot-lts/docker/docker-entrypoint.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build_files/buildbot-lts/docker/docker-entrypoint.sh b/build_files/buildbot-lts/docker/docker-entrypoint.sh
new file mode 100755
index 00000000000..b7298560662
--- /dev/null
+++ b/build_files/buildbot-lts/docker/docker-entrypoint.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+buildbot upgrade-master .
+
+chown buildbot /var/lib/buildbot/
+chown buildbot /var/lib/buildbot/.ssh/
+chown -R buildbot /var/lib/buildbot/*
+
+if [ -S /var/run/docker.sock ]
+then
+ group=$(stat -c '%g' /var/run/docker.sock)
+else
+ group=buildbot
+fi
+
+gosu buildbot:$group "$@" \ No newline at end of file